Converter_ACDC_Hahn_HS-400xx_THT:
  roundbelly: 1  # If belly of caseing should be round (or flat)
  L: 32.8  # package length
  W: 27.8  # package width
  H: 25.8  # package height
  rim: null  # If a rim should be added to the belly
  pinpadsize: 1.0  # pin diameter or pad size
  pinpadh: 4.0  # pin length, pad height
  pintype: 'tht'  # Casing type
  rotation: 0  # Rotation if required
  pin1corner: [-6.4, -3.9]  # Left upp corner relationsship to pin 1
  pin: [[0.0, 0.0], [20.0, 0.0], [15.0, 20.0], [5.0, 20.0]]  # pin pitch
  A1: 0.1  # package board seperation
  corner: 'none'  # If top should be cut
  show_top: 0  # If top should be visible or not
  body_color_key: 'black body'  # Body colour
  body_top_color_key: 'black body'  # Body top colour
  pin_color_key: 'metal grey pins'  # Pin colour
  destination_dir: 'Converter_ACDC.3dshapes'  # Destination directory
  model_name: 'Converter_ACDC_Hahn_HS-400xx_THT'

Converter_ACDC_Murata_BAC05SxxDC_THT:
  roundbelly: 1
  L: 25.4
  W: 25.4
  H: 16.3
  rim: null
  pinpadsize: 0.55
  pinpadh: 4.0
  pintype: 'tht'
  rotation: 0
  pin1corner: [-2.54, -2.54]
  pin: [[0.0, 0.0], [0.0, 5.08], [20.32, 0], [20.32, 10.16], [20.32, 20.32]]
  A1: 0.1
  corner: 'none'
  show_top: 0
  body_color_key: 'black body'
  body_top_color_key: 'black body'  # Body top colour
  pin_color_key: 'metal grey pins'  # Pin colour
  destination_dir: 'Converter_ACDC.3dshapes'  # Destination directory
  model_name: 'Converter_ACDC_Murata_BAC05SxxDC_THT'

Converter_ACDC_MeanWell_IRM-02-xx_THT:
  roundbelly: 1
  L: 33.7
  W: 22.2
  H: 15.0
  rim: null
  pinpadsize: 0.6
  pinpadh: 6.0
  pintype: 'tht'
  rotation: 0
  pin1corner: [-2.85, -3.5]
  pin: [[0.0, 0.0], [0.0, 15.2], [28.0, 0.0], [28.0, 7.6]]
  A1: 0.1
  corner: 'none'
  show_top: 0
  body_color_key: 'black body'
  body_top_color_key: 'black body'
  pin_color_key: 'metal grey pins'
  destination_dir: 'Converter_ACDC.3dshapes'
  model_name: 'Converter_ACDC_MeanWell_IRM-02-xx_THT'

Converter_ACDC_MeanWell_IRM-02-xx_SMD:
  roundbelly: 1
  L: 22.2
  W: 33.7
  H: 16.0
  rim: null
  pinpadsize: 1.0
  pinpadh: 0.4
  pintype: 'smd'
  rotation: 0.0
  pin1corner: [0.0, 0.0]
  pin: [[-13.2, -13.97], [-13.2, -8.89], [-13.2, -3.81], [-13.2, 6.35], [-13.2, 8.89], [-13.2, 11.43], [-13.2, 13.97], [13.2, -13.97], [13.2, -8.89], [13.2, -3.81], [13.2, 6.35], [13.2, 8.89], [13.2, 11.43], [13.2, 13.97]]
  A1: 0.1
  corner: 'none'
  show_top: 0
  body_color_key: 'black body'
  body_top_color_key: 'black body'
  pin_color_key: 'metal grey pins'
  destination_dir: 'Converter_ACDC.3dshapes'
  model_name: 'Converter_ACDC_MeanWell_IRM-02-xx_SMD'

Converter_ACDC_MeanWell_IRM-03-xx_THT:
  roundbelly: 1
  L: 24.0
  W: 37.0
  H: 15.0
  rim: null
  pinpadsize: 0.6
  pinpadh: 3.5
  pintype: 'tht'
  rotation: 0
  pin1corner: [-3.11, -3.26]
  pin: [[0.0, 0.0], [0.0, 5.08], [0.0, 30.48], [17.78, 30.48], [17.78, 25.4]]
  A1: 0.1
  corner: 'none'
  show_top: 0
  body_color_key: 'black body'
  body_top_color_key: 'black body'
  pin_color_key: 'metal grey pins'
  destination_dir: 'Converter_ACDC.3dshapes'
  model_name: 'Converter_ACDC_MeanWell_IRM-03-xx_THT'

Converter_ACDC_MeanWell_IRM-03-xx_SMD:
  roundbelly: 1
  L: 24.0
  W: 37.0
  H: 16.0
  rim: null
  pinpadsize: 1.0
  pinpadh: 0.4
  pintype: 'smd'
  rotation: 0.0
  pin1corner: [0.0, 0.0]
  pin: [[-14.45, -15.24], [-14.45, -10.16], [-14.45, -5.08], [-14.45, 7.62], [-14.45, 10.16], [-14.45, 12.7], [-14.45, 15.24], [14.45, -15.24], [14.45, -10.16], [14.45, -5.08], [14.45, 7.62], [14.45, 10.16], [14.45, 12.7], [14.45, 15.24]]
  A1: 0.1
  corner: 'none'
  show_top: 0
  body_color_key: 'black body'
  body_top_color_key: 'black body'
  pin_color_key: 'metal grey pins'
  destination_dir: 'Converter_ACDC.3dshapes'
  model_name: 'Converter_ACDC_MeanWell_IRM-03-xx_SMD'

Converter_ACDC_MeanWell_IRM-20-xx_THT:
  roundbelly: 1
  L: 52.4
  W: 27.2
  H: 24.0
  rim: null
  pinpadsize: 1.04
  pinpadh: 3.5
  pintype: 'tht'
  rotation: 0
  pin1corner: [-3.4, -3.2]
  pin: [[0.0, 0.0], [0.0, 20.8], [45.0, 20.8], [45.0, 12.8]]
  A1: 0.1
  corner: 'none'
  show_top: 0
  body_color_key: 'black body'
  body_top_color_key: 'black body'
  pin_color_key: 'metal grey pins'
  destination_dir: 'Converter_ACDC.3dshapes'
  model_name: 'Converter_ACDC_MeanWell_IRM-20-xx_THT'

Converter_ACDC_TRACO_TPP-15-1xx-D_THT:
  roundbelly: 1
  L: 42
  W: 28.9
  H: 21.5
  rim: null
  pinpadsize: 1.0
  pinpadh: 3.8
  pintype: 'tht'
  rotation: 0
  pin1corner: [-3.45, -11.6]
  pin: [[0.0, 0.0], [0.0, -5.59], [35.05, 14], [35.05, -2.24], [35.05, -8.36]]
  A1: 0.1
  corner: 'none'
  show_top: 0
  body_color_key: 'black body'
  body_top_color_key: 'black body'
  pin_color_key: 'metal grey pins'
  destination_dir: 'Converter_ACDC.3dshapes'
  model_name: 'Converter_ACDC_TRACO_TPP-15-1xx-D_THT'

Converter_ACDC_MeanWell_IRM-60-xx_THT:
  roundbelly: 1
  L: 87
  W: 52
  H: 29.5
  rim: null
  pinpadsize: 1.0
  pinpadh: 3.5
  pintype: 'tht'
  rotation: 0
  pin1corner: [-5.3, -5]
  pin: [[0.0, 0.0], [0.0, 6.75], [76.0, 35.75, 2.0], [76.0, 41.25, 2.0]]
  A1: 0.1
  corner: 'none'
  show_top: 0
  body_color_key: 'black body'
  body_top_color_key: 'black body'
  pin_color_key: 'metal grey pins'
  destination_dir: 'Converter_ACDC.3dshapes'
  model_name: 'Converter_ACDC_MeanWell_IRM-60-xx_THT'

Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT:
  roundbelly: 1
  L: 36.0
  W: 56.0
  H: 25.5
  rim: null
  pinpadsize: 1.0
  pinpadh: 3.0
  pintype: 'tht'
  rotation: 0
  pin1corner: [-12.0, -4.0]
  pin: [[0.0, 0.0], [12.0, 0.0], [0.0, 48.0], [5.0, 48.0]]
  A1: 0.1
  corner: 'none'
  show_top: 0
  body_color_key: 'orange body'
  body_top_color_key: 'black body'
  pin_color_key: 'metal grey pins'
  destination_dir: 'Converter_ACDC.3dshapes'
  model_name: 'Converter_ACDC_Vigortronix_VTX-214-010-xxx_THT'

Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT:
  roundbelly: 1
  L: 55.0
  W: 45.0
  H: 24.0
  rim: null
  pinpadsize: 1.0
  pinpadh: 5.0
  pintype: 'tht'
  rotation: 0
  pin1corner: [-4.0, -4.0]
  pin: [[0.0, 0.0], [0.0, 17.5], [0.0, 35.0], [47.0, 27.5], [47.0, 7.5]]
  A1: 0.1
  corner: 'none'
  show_top: 0
  body_color_key: 'orange body'
  body_top_color_key: 'black body'
  pin_color_key: 'metal grey pins'
  destination_dir: 'Converter_ACDC.3dshapes'
  model_name: 'Converter_ACDC_Vigortronix_VTX-214-015-1xx_THT'

Converter_ACDC_TRACO_TMLM-04_THT:
  roundbelly: 0
  L: 36.5
  W: 27.0
  H: 17.1
  rim: null
  pinpadsize: 0.5
  pinpadh: 4.0
  pintype: 'tht'
  rotation: 0
  pin1corner: [-3.75, -3.0]
  pin: [[0.0, 0.0], [21.5, 0.0], [25.25, 0.0], [29.0, 0.0], [29.0, 21.0], [21.5, 21.0], [0.0, 21.0]]
  A1: 0.1
  corner: 'none'
  show_top: 1
  body_color_key: 'black body'
  body_top_color_key: 'red body'
  pin_color_key: 'metal grey pins'
  destination_dir: 'Converter_ACDC.3dshapes'
  model_name: 'Converter_ACDC_TRACO_TMLM-04_THT'

Converter_ACDC_TRACO_TMLM-05_THT:
  roundbelly: 0
  L: 50.08
  W: 25.4
  H: 15.16
  rim: null
  pinpadsize: 1.04
  pinpadh: 8.0
  pintype: 'tht'
  rotation: 0
  pin1corner: [-2.54, -12.26]
  pin: [[0.0, 0.0], [0.0, 10.16], [45.72, 10.16], [45.72, -10.16]]
  A1: 0.1
  corner: 'none'
  show_top: 1
  body_color_key: 'black body'
  body_top_color_key: 'red body'
  pin_color_key: 'metal grey pins'
  destination_dir: 'Converter_ACDC.3dshapes'
  model_name: 'Converter_ACDC_TRACO_TMLM-05_THT'

Converter_ACDC_TRACO_TMLM-10-20_THT:
  roundbelly: 0
  L: 52.4
  W: 27.2
  H: 23.5
  rim: null
  pinpadsize: 1.0
  pinpadh: 8.0
  pintype: 'tht'
  rotation: 0
  pin1corner: [-2.54, -12.26]
  pin: [[0.0, 0.0], [0.0, 10.16], [45.72, 10.16], [45.72, -10.16]]
  A1: 0.1
  corner: 'none'
  show_top: 1
  body_color_key: 'black body'
  body_top_color_key: 'red body'
  pin_color_key: 'metal grey pins'
  destination_dir: 'Converter_ACDC.3dshapes'
  model_name: 'Converter_ACDC_TRACO_TMLM-10-20_THT'

Converter_ACDC_RECOM_RAC04-xxSGx_THT:
  roundbelly: 1
  L: 24.0
  W: 37.0
  H: 15.0
  rim: null
  pinpadsize: 0.6
  pinpadh: 3.5
  pintype: 'tht'
  rotation: 0
  pin1corner: [-3.11, -3.26]
  pin: [[0.0, 0.0], [0, 5.08], [0, 30.48], [17.78, 30.48], [17.78, 25.4]]
  A1: 0.1
  corner: 'none'
  show_top: 0
  body_color_key: 'black body'
  body_top_color_key: 'black body'
  pin_color_key: 'metal grey pins'
  destination_dir: 'Converter_ACDC.3dshapes'
  model_name: 'Converter_ACDC_RECOM_RAC04-xxSGx_THT'

Converter_ACDC_HiLink_HLK-PMxx:
  roundbelly: 0
  L: 34.0
  W: 20.2
  H: 15.0
  rim: null
  pinpadsize: 0.9
  pinpadh: 5.0
  pintype: 'tht'
  rotation: 0
  pin1corner: [-2.3, -12.6]
  pin: [[0.0, 0.0], [0, -5.0], [29.4, -10.2], [29.4, 5.2]]
  A1: 0.1
  corner: 'none'
  show_top: 0
  body_color_key: 'black body'
  body_top_color_key: 'black body'
  pin_color_key: 'metal grey pins'
  destination_dir: 'Converter_ACDC.3dshapes'
  model_name: 'Converter_ACDC_HiLink_HLK-PMxx'
